image: condaforge/mambaforge

before_script:
  - apt-get update
  - DEBIAN_FRONTEND=noninteractive apt-get install -y npm

pages:
  script:
    - mamba env create -p ./.venv
    - source activate ./.venv
    - npm install
    - quarto install --no-prompt extension quarto-ext/shinylive
    - quarto render presentation.qmd
    - mkdir public
    - cp -r presentation_files public
    - cp -r node_modules public
    - cp -r assets public
    - cp -r theme public
    - cp -r presentation.html public/index.html
  artifacts:
    paths:
      - public
  rules:
  - if: $CI_COMMIT_BRANCH == 'main'
